Package ru.bitel.bgbilling.kernel.contract.period.server.event

# Class ContractPeriodUpdateEvent

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.bgbilling.kernel.event.common.Event
ru.bitel.bgbilling.kernel.event.common.QueueEvent
ru.bitel.bgbilling.kernel.contract.period.server.event.ContractPeriodUpdateEvent

All Implemented Interfaces:
  `Serializable`

public class ContractPeriodUpdateEvent extends ru.bitel.bgbilling.kernel.event.common.QueueEvent

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `ContractPeriodUpdateEvent()`
  ``
  `ContractPeriodUpdateEvent(ContractPeriod oldContractPeriod, ContractPeriod newContractPeriod, int contractId, int userId)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ContractPeriod`
  `getNewContractPeriod()`
  `ContractPeriod`
  `getOldContractPeriod()`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `getContractId, getDestination, getGenerateTime, getMessageID, getModuleId, getPluginId, getSource, getSuperContractId, getTime, getTimestamp, getTypeId, getUserId, isLogFunctionProcess, prepareMessage, serializeAsObject, setLogFunctionProcess, setMessageID, setSource, toString, toString`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ContractPeriodUpdateEvent

    protected ContractPeriodUpdateEvent()

  - ### ContractPeriodUpdateEvent

    public ContractPeriodUpdateEvent(ContractPeriod oldContractPeriod, ContractPeriod newContractPeriod, int contractId, int userId)

- ## Method Details

  - ### getOldContractPeriod

    public ContractPeriod getOldContractPeriod()

  - ### getNewContractPeriod

    public ContractPeriod getNewContractPeriod()